> ## Documentation Index
> Fetch the complete documentation index at: https://developers.logicgate.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve access audits

> **Permissions:** [Productivity Entitlement](https://help.logicgate.com/hc/en-us/articles/4402683139348-Module-Entitlements-for-Roles)

Retrieve a page of all access audits.



## OpenAPI

````yaml GET /api/v2/audits/access
openapi: 3.1.0
info:
  title: Risk Cloud API
  description: >-
    Welcome to the Risk Cloud API v2! This is a collection of new API-first and
    RESTful API endpoints to streamline the creation of custom integrations with
    the Risk Cloud.


    For the API documentation of our legacy API v1 endpoints, reference [Risk
    Cloud API v1](https://docs.logicgate.com/v1/index.html).
  contact:
    name: developer-relations@logicgate.com
    email: developer-relations@logicgate.com
  version: v2026.7.0
servers:
  - url: https://{subdomain}.logicgate.com
    description: Your Risk Cloud environment.
    variables:
      subdomain:
        default: your-instance
        description: Your Risk Cloud environment's subdomain (e.g. `qa`).
security:
  - ApiToken: []
  - basic: []
tags:
  - name: Authentication
    description: >-
      Getting Started: How to create an [API Access
      Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
      to begin integrating with the Risk Cloud API
  - name: Access Audit
    description: >-
      An Access Audit captures information about access related events such as
      logins and logouts associated with a user.
  - name: Application
    description: >-
      An
      [Application](https://help.logicgate.com/hc/en-us/articles/4402674055572-Create-a-new-Application)
      is a collection of Workflows, Steps, and logic that collectively solve a
      business use case
  - name: Edge Path
    description: >-
      A [Conditional Edge
      Path](https://help.logicgate.com/hc/en-us/articles/4402683114004-Work-with-Paths#conditional-edge-paths)
      defines an alternative route that a Record might need to follow if
      specific conditions are met.
  - name: Field
    description: >-
      A
      [Field](https://help.logicgate.com/hc/en-us/articles/4402674064020-Create-Fields)
      is used to capture information from and display information to users in a
      Workflow
  - name: Next Path
    description: >-
      API endpoints for determining the next path(s) in a workflow, including
      routing and step information.
  - name: Record
    description: >-
      A
      [Record](https://help.logicgate.com/hc/en-us/articles/4402683104020-Complete-a-Record)
      is a form that can capture information, store cataloged data, and link to
      other Records as it moves through each Step of a Workflow
  - name: Redirect Path
    description: >-
      A [Redirect
      Path](https://help.logicgate.com/hc/en-us/articles/4402683115156-Selected-Redirects)
      gives end users access to Redirect a Record to any Step in the Workflow
      other than the Default Path or any Conditional Edge Paths.
  - name: Step
    description: >-
      A
      [Step](https://help.logicgate.com/hc/en-us/articles/4402674059668-Create-a-Step)
      lives in a Workflow and is configured with a set of Sections, Subsections
      and Fields to create a form
  - name: Workflow
    description: >-
      A
      [Workflow](https://help.logicgate.com/hc/en-us/articles/4402683108756-Create-a-new-Workflow)
      is a combination of Steps, Paths, Fields, and routing logic that combine
      to form a system in an Application
  - name: Workflow Map
    description: >-
      A [Workflow
      Map](https://help.logicgate.com/hc/en-us/articles/4402683117588)
      represents a relationship between two Workflows
externalDocs:
  description: Developer Portal
  url: https://www.logicgate.com/developer/
paths:
  /api/v2/audits/access:
    get:
      tags:
        - Access Audit
      summary: Retrieve access audits
      description: >-
        **Permissions:** [Productivity
        Entitlement](https://help.logicgate.com/hc/en-us/articles/4402683139348-Module-Entitlements-for-Roles)


        Retrieve a page of all access audits.
      operationId: readAllAccessAudits
      parameters:
        - name: user-id
          in: query
          description: Filter by user ID associated with the access audit entry.
          required: false
          schema:
            type: string
          example: a1b2c3d4
        - name: user-email
          in: query
          description: Filter by email address associated with the access audit entry.
          required: false
          schema:
            type: string
          example: jane.doe@logicgate.com
        - name: type
          in: query
          description: >-
            Filter by type of access event (LOGIN, LOGOUT, LOGIN_FAILED,
            CREDENTIALS_ROLLED, TOKEN_ROLLED).
          required: false
          schema:
            type: string
            enum:
              - LOGIN
              - LOGOUT
              - LOGIN_FAILED
              - CREDENTIALS_ROLLED
              - TOKEN_ROLLED
              - OTHER
            title: Access Audit Type
          example: LOGIN
        - name: created-min
          in: query
          description: >-
            Minimum created timestamp of the access audit in milliseconds since
            the Unix epoch (inclusive).
          required: false
          schema:
            type: integer
            format: int64
          example: 1672552800000
        - name: created-max
          in: query
          description: >-
            Maximum created timestamp of the access audit in milliseconds since
            the Unix epoch (inclusive).
          required: false
          schema:
            type: integer
            format: int64
          example: 1672552800000
        - name: page
          in: query
          description: >-
            The zero-indexed page number (must not be less than 0, defaults to
            0)
          required: false
          schema:
            type: integer
            format: int32
            minimum: 0
          example: 0
        - name: size
          in: query
          description: >-
            The size of the page and maximum number of items to be returned
            (must not be less than 1, defaults to 20)
          required: false
          schema:
            type: integer
            format: int32
            minimum: 1
          example: 20
        - name: Authorization
          in: header
          description: >-
            A bearer authorization header containing a Risk Cloud API access
            token in the format `Authorization: Bearer TOKEN` — replace `TOKEN`
            with your actual access token.


            To obtain a Risk Cloud API access token, refer to [Obtain an API
            Access
            Token](https://www.logicgate.com/developer/risk-cloud-api-authentication/)
            in the [LogicGate Help Center](https://help.logicgate.com/hc/en-us).
          required: true
          schema:
            type: string
          example: Bearer TOKEN
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PageModelOutAccessAuditApiOut'
components:
  schemas:
    PageModelOutAccessAuditApiOut:
      type: object
      properties:
        content:
          type: array
          description: A array of returned items
          items:
            $ref: '#/components/schemas/AccessAuditApiOut'
        links:
          $ref: '#/components/schemas/PageLinksOut'
          description: A collection of page URL links for navigation and iteration
        page:
          $ref: '#/components/schemas/PageInfoOut'
          description: A collection page metadata
      title: Page (Response)
    AccessAuditApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        type:
          type: string
          description: >-
            The type of access event that was logged, such as LOGIN, LOGOUT, or
            LOGIN_FAILED.
          enum:
            - LOGIN
            - LOGOUT
            - LOGIN_FAILED
            - CREDENTIALS_ROLLED
            - TOKEN_ROLLED
            - OTHER
          example: LOGIN
          title: Access Audit Type
        user:
          $ref: '#/components/schemas/UserPropertyApiOut'
          description: >-
            The user associated with the access event, including their ID, name,
            and email address.
        remoteAddress:
          type: string
          description: >-
            The remote address or host from which the user attempted to access
            the system.
          example: 192.168.1.1
        details:
          type: string
          description: Additional context or information about the access event.
          example: Login succeeded
        created:
          type: string
          format: date-time
          description: >-
            The created timestamp of the audit measured in milliseconds since
            the Unix epoch
          example: 1672552800000
        object:
          type: string
          description: Identifies the type of object this data represents
          example: access_audit
      title: Access Audit
    PageLinksOut:
      type: object
      properties:
        first:
          type: string
          description: A URL path to the first page of requested data
          example: /api/v2/resource?page=0&size=20
        prev:
          type: string
          description: >-
            A URL path to the next page of requested data or `null` if currently
            on first page
          example: /api/v2/resource?page=2&size=20
        self:
          type: string
          description: A URL path to the current page of requested data
          example: /api/v2/resource?page=3&size=20
        next:
          type: string
          description: >-
            A URL link to the next page of requested data or `null` if currently
            on last page
          example: /api/v2/resource?page=4&size=20
        last:
          type: string
          description: A URL link to the last page of requested data
          example: /api/v2/resource?page=6&size=20
      title: Page Links
    PageInfoOut:
      type: object
      properties:
        size:
          type: integer
          format: int64
          description: >-
            The size of the page and maximum number of items to be returned
            (must not be less than 1, defaults to 20)
          example: 20
        totalElements:
          type: integer
          format: int64
          description: The total number of items available
          example: 50
        totalPages:
          type: integer
          format: int64
          description: The total number of pages available based on the size
          example: 3
        number:
          type: integer
          format: int64
          description: >-
            The zero-indexed page number (must not be less than 0, defaults to
            0)
          example: 0
      title: Page Info
    UserPropertyApiOut:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of this Risk Cloud resource
          example: a1b2c3d4
        name:
          type: string
          description: The name of the user
          example: Jane Doe
        email:
          type: string
          description: The email of the user
          example: jane.doe@example.com
        object:
          type: string
          description: Identifies the type of object this data represents
          example: user
      title: User (Property)
  securitySchemes:
    ApiToken:
      type: http
      scheme: bearer
      bearerFormat: API Token
      description: Bearer token issued via the Authentication endpoints.
    basic:
      type: http
      scheme: basic
      description: >-
        HTTP Basic auth using base64-encoded Client Key:Secret Key credentials,
        used only to obtain or refresh a bearer token via the Authentication
        endpoints.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.